<?php

/**
 * @file
 * Views definitions for privatemsg_nodejs module.
 */

/**
 * Implements hook_views_data().
 */
function privatemsg_nodejs_views_data() {
  if (variable_get('privatemsg_nodejs_mimichats', TRUE)) {
    $data = array();
    $data['users']['pmnj_userlink'] = array(
      'group' => t('Privatemsg nodejs'),
      'real field' => 'uid',
      'title' => t('Privatemsg nodejs mini chat'),
      'field' => array(
        'title' => t('Open privatemsg nodejs mini chat link'),
        'help' => t('User link to use for privatemsg_nodejs mini chat.'),
        'handler' => 'views_handler_field_pmnj_userlink',
      ),
    );
    return $data;
  }
}
